Summary:       X11 environment recorder
Name:          xnee
Version:       3.10
Release:       3%{?dist}
License:       GPLv3+
Group:         Applications/Multimedia
URL:           http://www.gnu.org/software/xnee/
Source0:       ftp://ftp.gnu.org/gnu/xnee/xnee-%{version}.tar.gz
Source1:       xnee.desktop
Requires:      xnee-libs%{?_isa} = %{version}-%{release}
BuildRequires: libXtst-devel
BuildRequires: gtk2-devel
BuildRequires: desktop-file-utils
BuildRequires: chrpath


%description
A suite of programs that can record, replay and distribute
user actions under the X11 environment. Think of it as a
robot that can imitate the job you just did.


%package libs
Summary:       The shared libraries required for Xnee clients
Group:         Development/Libraries

%description libs
The xnee-lib package provides the essential shared libraries for any 
Xnee client program or interface.

%package devel
Summary:       Files needed for building applications with libxnee
Group:         Development/Libraries
Requires:      xnee-libs%{?_isa} = %{version}-%{release}

%description devel
The xnee-devel package includes header files and libraries
necessary for developing programs which use the xnee-lib library.

%package -n cnee
Summary:       Command-line interface of Xnee
Group:         Applications/Multimedia
Requires:      xnee-libs%{?_isa} = %{version}-%{release}

%description -n cnee
Command-line interface of a suite of programs that can record,
replay and distribute user actions under the X11 environment. Think
of it as a robot that can imitate the job you just did.


%prep
%setup -q
# For rpmlint warnings of debuginfo package :
find . \( -name "*.h" -o -name "*.c" \) -exec chmod a-x {} \;


%build
# Don't build Pnee (gnome-applet) because builddep is broken :
%configure --disable-gnome-applet      \
           --enable-lib                \
           --enable-static-programs=no
make %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} install
# Delete statics librairies :
rm -f %{buildroot}%{_libdir}/libxnee.a    \
      %{buildroot}%{_libdir}/libxnee.la   \
      %{buildroot}%{_libdir}/libtestcb.a  \
      %{buildroot}%{_libdir}/libtestcb.la
# Install xnee.desktop :
desktop-file-install                       \
--dir=%{buildroot}%{_datadir}/applications \
%{SOURCE1}
# Install xnee-devel files :
mkdir -p %{buildroot}%{_includedir}/libxnee/
install -p libxnee/include/libxnee/*.h %{buildroot}%{_includedir}/libxnee/
# Delete rpaths :
chrpath --delete %{buildroot}%{_bindir}/gnee               \
                 %{buildroot}%{_bindir}/cnee               \
                 %{buildroot}%{_libdir}/libtestcb.so.0.0.0
# For rpmlint warnings of devel package :
chmod a-x %{buildroot}%{_includedir}/libxnee/*.h
# For rpmlint warning of xnee package :
chmod a+x %{buildroot}%{_datadir}/xnee/simple_bash.sh


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING EXAMPLES FAQ NEWS TODO ChangeLog
%{_bindir}/gnee
%{_datadir}/pixmaps/xnee.png
%{_datadir}/pixmaps/xnee.xpm
%{_datadir}/applications/xnee.desktop
%{_datadir}/xnee/
%{_mandir}/man1/gnee.1*
%{_mandir}/man1/xnee.1*

%files libs
%defattr(-,root,root,-)
%doc AUTHORS NEWS COPYING ChangeLog
%{_libdir}/libxnee.so.*
%{_libdir}/libtestcb.so.*

%files devel
%doc AUTHORS NEWS COPYING ChangeLog
%defattr(-,root,root,-)
%{_libdir}/libxnee.so
%{_libdir}/libtestcb.so
%{_includedir}/libxnee/*.h

%files -n cnee
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING EXAMPLES FAQ NEWS TODO ChangeLog
%{_bindir}/cnee
%{_mandir}/man1/cnee.1*


%changelog
* Thu Oct 20 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.10-3
- add libtestcb in xnee-libs package
- clean up spec file

* Sun Oct 16 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.10-2
- add COPYING in libs package

* Tue Aug 23 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.10-1
- update to 3.10 version

* Sat Aug 6 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- clean up spec file

* Fri Aug 5 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- add header in libxnee-devel

* Wed Aug 3 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- add cnee subpackage

* Sun Jul 31 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- add libxnee and libxnee-devel subpackages

* Thu Jul 28 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- minor specfile cleanup

* Wed Jul 27 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- clean up spec file

* Thu Jun 23 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 3.09-1
- initial RPM
